FSL_LOCAL_CONFIG_WRI(9)

NAME
fsl_local_config_write - Generate a MPC85xx local config space write

SYNOPSIS

int fsl_local_config_write(struct rio_mport * mport, int index, u32 offset, int len, u32 data);

ARGUMENTS

mport
    RapidIO master port info

index
    ID of RapdiIO interface

offset
    Offset into configuration space

len
    Length (in bytes) of the maintenance transaction

data
    Value to be written

DESCRIPTION

Generates a MPC85xx local configuration space write. Returns 0 on success or -EINVAL on failure.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT